html {
	scroll-behavior: smooth;
}

body {
	font-family: "Poppins", sans-serif;
	counter-reset: section;
	overflow-x: hidden;
}

::-webkit-scrollbar {
	display: none;
}

h1,
h2,
h3,
h4,
h5 {
	font-family: "Nunito", sans-serif;
}

img {
	image-rendering: -webkit-optimize-contrast;
}

h2 {
	font-size: 3.3rem;
	padding: 20px 0;
	color: #020457;
	font-weight: 700;
}

/* header section */
.header-section {
	background: #030744;
	border-bottom: 1px solid #fff;
	color: #fff !important;
	padding: 2rem 1.5rem;
}

.slideout-btn, .agentlogin-btn {
	background-color: #00b5ff;
	color: #fff !important;
}


.slideout-menu {
	position: fixed;
	top: 0;
	bottom: 0;
	min-height: 100vh;
	overflow-y: auto;
	-webkit-overflow-scrolling: touch;
	z-index: 0;
	display: none;
	padding: 0 10px;
}

.slideout-menu-left {
	left: 0;
}

.slideout-menu-right {
	right: 0;
}

.slideout-panel {
	position: relative;
	z-index: 1;
	/* will-change: transform; */
	background-color: #f5f5f5;
	/* A background-color is required */
	min-height: 100vh;
	-ms-touch-action: manipulation;
	touch-action: manipulation;
}

.slideout-open,
.slideout-open body,
.slideout-open .slideout-panel {
	overflow: hidden;
}

.slideout-open .slideout-menu {
	display: block;
}


.text-uppercase-isvalid:valid {
	text-transform: uppercase;
}

.text-line-through {
	text-decoration: line-through;
}

.main-logo {
	width: auto;
	height: auto;
	max-width: 200px;
	max-height: 150px;
}

.search-panel-city {
	margin: 1.2em 0em 1.2em 0em;
	padding: 2em 1em 1em 1em;
	background: #ffffff;
}

#search-form {
	position: relative;
}

#search-form :required {
	background-color: #ffffff;
}

#search-swap-icon {
	position: absolute;
	z-index: 99;
	right: 25px;
	margin: -26px 0 0;
	padding: 10px;
	width: 48px;
	height: 48px;
}

p.justify {
	text-align: justify;
}

.modal-fullscreen {
	padding: 0 !important;
	margin: 0 !important;
	width: 100vw;
}

.modal-fullscreen .modal-dialog {
	padding: 0 !important;
	margin: 0 !important;
	max-height: 100vh;
	max-width: 100vw;
	height: 100%;
}

.modal-fullscreen .modal-content {
	border: none;
	border-radius: unset;
	max-height: 100vh;
}

.modal-fullscreen .modal-body {
	overscroll-behavior-y: contain;
	padding-bottom: 150px !important;
}

.modal-fullscreen .navbar.shadow-sm {
	z-index: 3;
}

.active[data-type="asc"]>i::before {
	content: "\f077";
}

.active[data-type="desc"]>i::before {
	content: "\f078";
}

/* Bootstrap orverrides */

.input-group-text {
	background-color: #fff !important;
}

.form-control {
	font-size: 1.05em;
}

.btn.active.focus,
.btn.active:focus,
.btn.focus,
.btn.focus:active,
.btn:active:focus,
.btn:focus {
	outline: 0 !important;
	outline-offset: 0 !important;
	background-image: none !important;
	-webkit-box-shadow: none !important;
	box-shadow: none !important;
}

.form-control:focus {
	-webkit-backface-visibility: hidden;
	outline: none;
	-webkit-transition: 0.25s;
	-o-transition: 0.25s;
	transition: 0.25s;
	-webkit-box-shadow: none;
	box-shadow: none;
}

#selected-seat-footer {
	position: fixed;
	background: #fff;
	width: 100%;
	bottom: 0;
	-webkit-box-shadow: 0 -0.125rem 0.25rem rgba(0, 0, 0, .075);
	box-shadow: 0 -0.125rem 0.25rem rgba(0, 0, 0, .075);
	z-index: 1051;
	left: 0;
}

#selected-seat-footer .selected-seats-info {
	padding-top: .65rem;
	padding-bottom: .65rem;
}

.input-group-text,
.input-group-append .btn {
	font-size: inherit;
}

#pass-alert .alert {
	margin-bottom: 0;
}

.searchbar .input-group-text,
.searchbar .form-control,
.searchbar .form-control:focus {
	border: unset !important;
}

.searchbar [type="button"] {
	appearance: none;
	-webkit-appearance: none;
}

.search-input {
	border-left: 0;
	border-right: 0;
}

.search-input:invalid+.input-group-append>.input-group-text {
	color: #ffffff;
	pointer-events: none;
}

.search-input:-webkit-autofill,
.search-input:-webkit-autofill:hover,
.search-input:-webkit-autofill:focus,
.search-input:-webkit-autofill:active {
	-webkit-transition: background-color 0s ease-in-out 5000s;
	transition: background-color 0s ease-in-out 5000s;
}

.popover {
	max-width: 95vw;
	font-size: 12px;
}

.popover-body {
	max-height: 400px;
	overflow: auto;
}


.section-title {
	color: #00b6ff;
}

.section-subtitle {
	font-weight: 700;
	border-radius: 40px;
	background: #020457;
	font-size: 10px;
	padding: 10px 35px;
	display: inline-block;
	color: #fff;
}

/* slider-section */
.slider-section {
	position: relative;
	overflow: hidden;
	padding: 10px 0 0;
	background: url(../images/slider-img.png) no-repeat left bottom/100% auto, url(../images/slider-bg.png) no-repeat 0 0/100% 100%;
}

.slider-text {
	padding: 10px 4px 10px 20px;
	font-size: 14px;
	border-radius: 30px;
	display: inline-block;
	background: #fff;
}

.slider-route {
	padding: 4px 15px;
	margin-left: 10px;
	border-radius: 30px;
	background: #2ea1ff;
	color: #fff;
}

.slider-route:hover {
	box-shadow: inset 200px 0 0 #008cff;
	transition: 0.5s;
	color: #fff;
	text-decoration: none;
}

.slider-title {
	font-size: 1.5rem;
    padding: 15px 0;
    font-family: "Cinzel Decorative", serif;
    font-weight: 800;
    color: #fff;
    text-transform: capitalize;
}

.slider-title span {
	color: #fdf400;
}

.slider-inner {
	padding: 25px 0 0;
}

/* Form-Panel */
.booking-panel {
    background: #ffffff7d;
    padding: 4px 8px 4px 8px;
    border-radius: 25px;
    position: relative;
    z-index: 1;
    border: 1px solid #00b5ff;
}


.book-form .book-control {
	font-size: 16px !important;
	display: flex;
	align-items: center;
	height: 65px;
	color: #222;
	border: none;
	border-radius: 40px;
}

.book-form .book-control:not(.selectize-control),
.book-form .book-control>.selectize-input {
	padding: 6px 8px 4px 45px;
	font-weight: 500;
	height: 37px;
	border-radius: 50px;
	border: 1.5px solid #00b5ff;
	font-size: 14.5px;
	background: #fff;
}


.book-group-rounded .book-control,
.book-group-rounded .book-control .selectize-input {
	border-radius: 12px 0 0 12px;
}

.book-group .selectize-control.single .selectize-input:after {
	top: 50%;
}

.book-form .field-img {
	position: relative;
	margin: 0 5px;
}

.book-form .field-img img {
	position: absolute;
	z-index: 111;
	left: 14px;
	top: 10px;
}

.field-img .form-i {
	top: 7px !important;
}

.book-form .book-button {
    background: #00b5ff;
    color: #fff;
    text-transform: uppercase;
    border: none;
    font-weight: bold;
    padding: 0 !important;
    border-radius: 50%;
    width: 40px;
    height: 39px;
}

.book-form .book-button i {
	font-size: 16px;
}

.book-form .form-control:focus {
	box-shadow: none;
}

.book-form button:focus {
	outline: none;
}

.date-btns {
	background: #fff;
    border-radius: 50%;
    color: #0000009c;
    height: 39px;
    font-weight: 500;
    border: 2px solid #00b5ff;
    width: 39px;
    font-size: 12px !important;
    padding: 1px;
}

#single-trips {
	margin: 0 30px;
}

.date-btns:hover,
.date-btns.active {
	background: #00b5ff;
	color: #fff;
}

@media (max-width: 320px) {
    #search-form #search-onward-date {
       width: 8rem;
    }
}

@media (min-width: 321px) and (max-width: 376px) {
    #search-form #search-onward-date {
       width: 11rem;
    }
}

@media (min-width: 377px) and (max-width: 427px) {
    #search-form #search-onward-date {
       width: 15rem;
    }
}

@media (min-width: 428px) and (max-width: 527px) {
    #search-form #search-onward-date {
       width: 15rem;
    }
}

@media (min-width: 528px) and (max-width: 768px) {
    #search-form #search-onward-date {
       width: 33rem;
    }
}

.trips {
	margin: 0 15px;
}

.trips label {
	display: inline-flex;
	align-items: center;
}

.trips input[type="radio"] {
	accent-color: #00b5ff;
	height: 20px;
	width: 20px;
}

.trips h6 {
	display: inline-block;
	margin: 0 5px;
	color: #fff;
	padding: 15px 0;
}


/* about-section */
.about-section {
	padding: 20px 0 0;
	background: url(../images/about-bg.png) no-repeat left bottom/100% auto, linear-gradient(180deg, #e5ede2 0%, #ffe6bb 100%);
}
.about-section h2 {
	font-size: 22px;
}

.about-section .slider-inner {
	position: relative;
	top: 0rem;
}

.about-section .about-content {
	padding: 15px 0;
}

.about-card {
    padding: 10px 10px 12px;
    border-radius: 20px;
    background: #fff;
    color: #030e4a;
    width: 153.78px;
    height: 126.73px;
}

.about-card h2 {
	font-family: "Cinzel Decorative", serif;
	font-size: 20px;
    padding: 5px 0;
}

.about-card h6 {
	font-size: 11px;
}

.about-card h2 img {
	width: 30px;
}

.about-card .about-line {
	margin-bottom: 10px;
	margin-top: 0;
}
/* about end */

/* amenity, service, feature section */
.amenity-service-feature-section {
	padding: 20px 0 0;
    background: #ffe6bb;
}

.amenity-service-feature-section h2 {
	font-size: 22px;
}

.asf-tabs {
    display: flex;
    gap: 8px;
    margin-bottom: 20px;
}

.asf-tab {
	padding: 6px 10px;
    border: 1px solid #fff;
    background: #fff;
    cursor: pointer;
    border-radius: 6px;
    font-weight: 500;
    transition: all 0.3s ease;
}

.asf-tab.active {
    background: #007bff; /* change to your theme color */
    color: #fff;
    border-color: #007bff;
}

.asf-tab:focus {
    outline: none;
    border: none;
}

.asf-tab-content {
    display: none;
}

.asf-tab-content.active {
    display: block;
}

#tab-amenities h2,
#tab-services h2,
#tab-feature h2 {
	font-size: 20px;
	padding: 0;
}


.amenity-card {
	text-align: center;
	padding: 30px 0;
}

.amenity-icon {
	padding: 20px;
    display: inline-block;
    background: url(../images/amenity-bg1.png) no-repeat center center / 73px 73px;
}
.amenity-icon img {
	width: 37.5px;
}

.amenity-title {
	padding: 10px 0;
    font-weight: 600;
    font-size: 10px;
}

.amenity-slider .amenity-card.slick-center .amenity-icon {
	background: url(../images/amenity-bg2.png) no-repeat center center/100% 100%;
}

.amenity-slider .amenity-card.slick-center .amenity-title {
	color: #00b5ff;
}

.amenity-slider .slick-dots {
	bottom: 0;
}

.amenity-slider .slick-dots li button:before{
	color: #fff;
	opacity: 1;
}
.amenity-slider .slick-dots li.slick-active button:before {
    opacity: 1;
    color: #00b5ff;
}
.amenity-slider .slick-dots li{
	width: 0;
	height: 0;
}
.amenity-slider .slick-dots li button {
	padding: 0;
	width: 0;
	height: 0;
}

.amenity-slider .amenity-card.slick-center .amenity-title {
	color: #00b5ff;
}

/* service-section */
.service-section {
	padding: 50px 0;
	background: url(../images/service-bg.png) no-repeat 0 0/100% 100%;
	position: relative;
}

.service-bus {
	position: absolute;
	left: 0;
	bottom: 20px;
}

.service-section .arrow {
	background: #008cff;
	padding: 8px 9px;
	color: #fff;
}

.service-card {
    margin: 10px;
    background: #fff;
    padding: 10px;
    border-radius: 20px;
    height: 120px;
    width: 150px;
}

.service-card img {
    height: 120px;
    width: 150px;
    object-fit: contain;
}

.service-slider .slick-slide {
    height: auto !important;
}

.service-slider .slick-track {
    display: flex !important;
    align-items: stretch;
}

.service-slider .slick-prev:before, .service-slider .slick-next:before {
	color: #008cff;
}

.service-slider .slick-prev{
	top: -30px;
    right: 30px;
    left: unset;
}
.service-slider .slick-next{
	top: -30px;
	right: 10px;
}


/* feature-section */
.feature-card {
    text-align: center;
    margin: 0px 5px;
}

.feature-icon {
	padding: 6px;
    background: radial-gradient(circle, #0098e3 0%, #020457 100%);
    border-radius: 50%;
    display: inline-block;
    margin: 0px 0;
    border: 2px solid transparent;
    transition: .5s ease;
}

.feature-title {
    margin: 10px 0;
    font-size: 12px;
}

.feature-card p {
	text-align: center;
	font-size: 10px;
}

.feature-content {
    background: #fff;
    border-radius: 20px;
    padding: 15px;
    margin: 10px 0;
    position: relative;
    counter-increment: section;
    z-index: 1;
	max-height: 141px;
}

.feature-counter {
	position: relative;
	z-index: -1;
}

.feature-content::before {
	content: "0" counter(section);
	position: absolute;
	bottom: -16px;
	right: 20px;
	background: linear-gradient(0deg, #fff 0%, #00b7ffa1 100%);
	background-clip: text;
	font-weight: 600;
	font-size: 5rem;
	color: transparent;
	z-index: -1;
}

.feature-card:hover .feature-content {
	background: #020457;
	color: #008cff;
	transition: 1s ease;
}

.feature-card:hover p {
	color: #fff;
}

.feature-card:hover .feature-content::before {
	opacity: .2;
}

.feature-slider .slick-prev:before, .feature-slider .slick-next:before {
	color: #008cff;
}

.feature-slider .slick-prev{
	top: -30px;
    right: 30px;
    left: unset;
}
.feature-slider .slick-next{
	top: -30px;
	right: 10px;
}
/* amenity, service, feature section end */

/* route-section */
.route-section {
	padding: 0 0 30px;
	background: url(../images/route-bg.png) no-repeat 0 0/100% 100%;
}
.route-section h2 {
	font-size: 22px;
}

.route-img {
	margin: 30px 0;
}

.route-content {
	background: url(../images/route-road.png) no-repeat top center/auto 100%;
}

.route-bus {
	position: sticky;
	top: 7rem;
}

.route-card {
	position: relative;
	margin: 0 20px;
}

.route-title {
	position: absolute;
	bottom: 1rem;
	left: 0;
	width: 100%;
}

.route-title h6 {
	background: #fff;
	padding: 8px 20px;
	border-radius: 30px;
	font-weight: 600;
	text-transform: uppercase;
}


/* Footer */
.footer-section {
	background: #020558;
    color: #fff;
    padding: 1px 0;
    /* border-top-left-radius: 21.5px;
    border-top-right-radius: 21.5px; */
}
.footer-section .container {
	background: #ffeac9;
	border-radius: 60px 60px 0 0;
	padding: 0;
}

.footer-top {
	padding: 30px 20px 0;
}

.footer-top hr {
	border: 1px solid #fff;
}

.footer-top h3 {
	color: #00b6ff;
	text-transform: capitalize;
	letter-spacing: 1px;
	font-size: 14px;
	margin: 0;
}

.footer-top p,
.footer-top li a,
.footer-top p a {
	color: #fff;
    font-size: 14px;
    font-weight: normal;
    line-height: 1.5;
    letter-spacing: 0.5px;
    margin: 0;
}

.footer-section ul {
	margin: 0;
	list-style-type: none;
	padding-inline-start: 18px;
}

.footer-section li {
	line-height: 2;
	position: relative;
}

.footer-top i {
	color: #fff;
	position: absolute;
	left: -20px;
	top: 8px;
}
.footer-top-content {
    display: flex;
    justify-content: space-between;
	align-items: center;
    gap: 20px;
}

/* Footer Accordion */
.footer-accordion-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
	padding: 7px 0;
}

.footer-accordion-header i {
	position: unset;
	color: #01b6ff;
}

.footer-accordion-body {
    display: none;
    padding: 7px 0;
}

.footer-accordion-body.open {
    display: block;
}

.footer-accordion-icon {
    transition: transform 0.3s ease;
}

.footer-accordion-icon.rotate {
    transform: rotate(180deg);
}

.footer-bottom {
	padding: 15px !important;
    border-radius: 21.5px;
    background: #fff;
    color: #000;
    margin: 20px;
}

.footer-bottom-content {
	display: flex;
    gap: 10px;
    justify-content: space-between;
}

.footer-bottom p,
.footer-bottom p>a {
	color: #000;
	margin: 0;
	font-size: 12px;
	font-weight: 600;
}

/* App bar */
.app-banner {
	background-color: #f8f7f7;
}

/* Search Form */
#search-form {
	padding: 1rem 0;
}

#search-form .form-group label {
	margin-bottom: 0;
	margin-left: 0.7rem;
	font-size: 0.75rem;
	color: #a0a9bb;
}

#search-form .form-group {
	position: relative;
	padding: .375rem .75rem .375rem 2rem;
	background: #ffffff;
	-webkit-box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, .12);
	box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, .12);
	border-radius: 4px;
	margin-bottom: 0.5rem;
	color: #212529;
}

#search-form .calander .form-group {
	padding: .375rem .75rem;
}

#search-form .select-icon-1 {
	position: absolute;
	left: 15px;
	top: 15px;
}

#search-form .select-icon-2 {
	position: absolute;
	left: 18px;
	top: 15px;
}

#search-form .form-control::-webkit-input-placeholder {
	color: #212529;
}

#search-form .form-control::-moz-placeholder {
	color: #212529;
}

#search-form .form-control:-ms-input-placeholder {
	color: #212529;
}

#search-form .form-control::-ms-input-placeholder {
	color: #212529;
}

#search-form .form-control::placeholder {
	color: #212529;
}

#search-form .form-control {
	border: none;
	/*background: #faffc1;*/
	color: #000;
	font-weight: bolder;
}

#search-form .calander button {
	margin-bottom: 0.5rem;
}

#search-form #search-onward-date {
    padding-top: 0;
    height: calc(2.5em + 0px);
}

#search-btn {
	padding: 0.5rem .75rem;
	-webkit-box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, .12);
	box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, .12);
}

.home-content {
	/* background: url(../images/bg.png); */
	background-size: 100% auto;
	background-position: bottom;
	background-repeat: no-repeat;
}

.form-control-icon {
	padding: 1rem 1.25rem 1rem 2.5rem;
	height: calc(1.5em + 1.5rem + 2px);
}

.form-control-icon+.placholder-icon {
	font-size: 1.1rem;
	color: #949494;
	position: absolute;
	top: 15px;
	left: 15px;
}

@media only screen and (max-width: 500px) {
	.dialog-box {
		height: auto;
		width: 362px;
		font-size: 12px;
	}
}

@media only screen and (max-width: 400px) {

	.boardingpoint-count,
	.droppingpoint-count {
		height: 14px;
		width: 14px;
		font-size: 9px;
		padding: 1px;
	}

	.journeyTime {
		padding: 3px 3px;
		font-size: 9px;
	}

	.trip-infos .trip-starttime,
	.trip-infos .trip-endtime {
		font-size: 12px;
	}

	#bus-status,
	.trip-offer,
	.fare-div {
		font-size: 10px;
	}

	.datesoftrip {
		font-size: 11px;
	}

	.sort-btns {
		font-size: 12px !important;
	}

	#trip-list-header {
		padding: 0;

	}

	.fs {
		font-size: 1rem;
	}

	.fs-14 {
		font-size: 14px !important;
	}

	.dialog-box {
		height: auto;
		width: 362px;
		font-size: 12px;
	}

}
